import * as z from 'zod';
export const NpiProviderFindFirstResultSchema = z.nullable(z.object({
  id: z.number().int(),
  userId: z.number().int(),
  npiNumber: z.string(),
  providerName: z.string(),
  sortOrder: z.number().int(),
  createdAt: z.date(),
  user: z.unknown(),
  claims: z.array(z.unknown()),
  payments: z.array(z.unknown()),
  commissionBatches: z.array(z.unknown()),
  appointmentProcedures: z.array(z.unknown())
}));